<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:param name="topPosition" select="1"/>
  <xsl:param name="maxView" select="4"/>
  <xsl:param name="itemCount" select="50"/>
  <xsl:param name="itemLenght" select="13"/>

  <xsl:template match="channel">
    <table width="100%">

      <tr>
        <td class="rssTable" colspan="4" height="120" valign="top">
          <xsl:apply-templates select="item"></xsl:apply-templates>
        </td>
      </tr>
      <tr>
        <td>
          <a href="javascript:switchTemplate()">
            <font color="white">A</font>
          </a>
        </td>
        <td align="right">
          <table cellpading="0" cellspacing="0">
            <tr>
              <td align="right" width="30">
                <xsl:choose>
                  <xsl:when test="$topPosition &gt; 1">
                    <a href="#">
                      <xsl:attribute name="onclick">
                        javascript:showPreceding();
                      </xsl:attribute>
                      <img src="images/buttonDown_On.png"/>
                    </a>
                  </xsl:when>
                  <xsl:otherwise>
                    <img src="images/buttonDown_Off.png"/>
                  </xsl:otherwise>
                </xsl:choose>
              </td>
              <td align="center" width="45" nowrap="nowrap">
                <font color="lightgrey">
                  <xsl:value-of select="$topPosition"/>
                  -
                  <xsl:if test="$topPosition + $maxView - 1 &lt; $itemCount">
                    <xsl:value-of select="$topPosition + $maxView - 1"/>
                  </xsl:if>
                  <xsl:if test="$topPosition + $maxView - 1 &gt;= $itemCount">
                    <xsl:value-of select="$itemCount"/>
                  </xsl:if>

                </font>
              </td>
              <td width="1"  align="left">
                <xsl:choose>
                  <xsl:when test="count(item) &gt;= $topPosition + $maxView">
                    <a href="#">
                      <xsl:attribute name="onclick">
                        javascript:showFollowing();
                      </xsl:attribute>
                      <img src="images/buttonUp_On.png"/>
                    </a>
                  </xsl:when>
                  <xsl:otherwise>
                    <img src="images/buttonUp_Off.png"/>
                  </xsl:otherwise>
                </xsl:choose>
              </td>
            </tr>
          </table>
        </td>
      </tr>
    </table>


  </xsl:template>
  <xsl:template match="item">
    <xsl:if test="position() &gt;= $topPosition and position() &lt; $topPosition + $maxView">
      <div class="unselectedFeedItem" onmouseover="javascript:selectItem(this);" onmouseout="javascript:unselectItem(this);">
        <xsl:attribute name="onclick">
          javascript:document.location='<xsl:value-of select="link"/>'
        </xsl:attribute>
        <xsl:attribute name="title">
          <xsl:value-of select="title"/>
        </xsl:attribute>

        <span>
          <div>
            <font color="white" size="1">
              <b>
              <xsl:choose>
                <xsl:when test="string-length(title) &gt; $itemLenght">
                  <xsl:value-of select="substring(title, 1, $itemLenght)"/>...
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="title"/>
                </xsl:otherwise>
              </xsl:choose>
              </b>
            </font>
          </div>
          <div>
            <font color="dimgray" size="1">
              <b>
                <xsl:value-of select="substring(pubDate, 1, 16)"/>
              </b>
            </font>
          </div>
        </span>

        <span class="hidden">
          <div>
            <font color="white" size="1">
              <b>
              <xsl:choose>
                <xsl:when test="string-length(title) &gt; $itemLenght">
                  <xsl:value-of select="substring(title, 1, $itemLenght)"/>...
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="title"/>
                </xsl:otherwise>
              </xsl:choose>
              </b>
            </font>
          </div>
          <div>
            <marquee behavior="scroll" scrollamount="5" width="100%" height="5" style="cursor:pointer;">
              <font color="lightgrey" size="1">
                <b>
                  <xsl:value-of select="description"/>
                </b>
              </font>
            </marquee>
          </div>
        </span>
      </div>
    </xsl:if>
  </xsl:template>

</xsl:stylesheet>
